OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class JDBCStoredProcedureMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
          org.opennms.netmgt.poller.monitors.JDBCMonitor
              org.opennms.netmgt.poller.monitors.JDBCStoredProcedureMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class JDBCStoredProcedureMonitor
extends JDBCMonitor

This class implements a basic JDBC monitoring framework; The idea is than these tests doesn't take too long (or too much resources to run) and provide the basic healt information about the polled server. See `src/services/org/opennms/netmgt/poller` OpenNMS plugin information at OpenNMS developer site

Since:
  0.1
Author:
  Jose Vicente Nunez Zuleta (josevnz@users.sourceforge.net) - RHCE, SJCD, SJCP version 0.1 - 07/23/2002 * version 0.2 - 08/05/2002 -- Added retry logic, input validations to poller.

Field Summary

Fields inherited from class org.opennms.netmgt.poller.monitors.JDBCMonitor
`DEFAULT_RETRY, DEFAULT_TIMEOUT`

Fields inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`DS_NAME`

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`JDBCStoredProcedureMonitor()` Class constructor.

Method Summary
`int` `checkStatus(org.apache.log4j.Category log, java.util.Map parameters, java.sql.Connection con)`

Methods inherited from class org.opennms.netmgt.poller.monitors.JDBCMonitor
`initialize, initialize, poll, release, release`

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`createRRD, updateRRD`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCStoredProcedureMonitor

    public JDBCStoredProcedureMonitor()
                               throws java.lang.ClassNotFoundException,
                                      java.lang.InstantiationException,
                                      java.lang.IllegalAccessException

  Class constructor.

Method Detail

### checkStatus

    public int checkStatus(org.apache.log4j.Category log,
                           java.util.Map parameters,
                           java.sql.Connection con)

  Overrides:
    `checkStatus` in class `JDBCMonitor`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.